## pyparted 3.12.0

=== debian/changelog ===
pyparted (3.12.0-6build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:15:26 +1100

pyparted (3.12.0-6build2) noble; urgency=high

  * No change rebuild against libparted2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:49:57 +0100

pyparted (3.12.0-6build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:21:30 +0000

pyparted (3.12.0-6) unstable; urgency=medium

  * QA upload
  * Ignore .egg-info diff (Closes: #1046099)

 -- Bastian Germann <bage@debian.org>  Tue, 15 Aug 2023 19:42:28 +0200

pyparted (3.12.0-5) unstable; urgency=medium

  * Build with parted 3.6 (Closes: #1038890)

 -- Bastian Germann <bage@debian.org>  Wed, 28 Jun 2023 12:12:20 +0200

pyparted (3.12.0-4) unstable; urgency=high

  [ Helmut Grohne ]
  * Fix FTCBFS: Missing Build-Depends: libpython3-all-dev (Closes: #1032318)

 -- Bastian Germann <bage@debian.org>  Fri, 03 Mar 2023 19:58:00 +0100

pyparted (3.12.0-3) unstable; urgency=medium

  * d/watch: Scan GitHub release API

 -- Bastian Germann <bage@debian.org>  Tue, 22 Nov 2022 11:27:53 +0100

pyparted (3.12.0-2) unstable; urgency=medium

  * Add setuptools build dependency

 -- Bastian Germann <bage@debian.org>  Fri, 11 Mar 2022 22:02:15 +0100

pyparted (3.12.0-1) unstable; urgency=medium

  * New upstream version 3.12.0
  * Revert "Add gitlab-ci.yml"
  * Update copyright year
  * Fix missing-build-dependency-for-dh-addon
  * Try to fix cross build

 -- Bastian Germann <bage@debian.org>  Fri, 11 Mar 2022 19:51:30 +0100

=== debian/control ===
Source: pyparted
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libparted-dev,
               libpython3-all-dev,
               parted,
               pkg-config,
               python3-all-dev:any,
               python3-setuptools,
               python3-six
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://github.com/dcantrell/pyparted
Vcs-Git: https://salsa.debian.org/debian/pyparted.git
Vcs-Browser: https://salsa.debian.org/debian/pyparted

Package: python3-parted
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Suggests: python-parted-doc (>= 3.11.1-5)
Description: Python 3 interface for libparted
 pyparted is a set of Python modules that provide Python programmers an
 interface to libparted (http://www.gnu.org/software/parted), the GNU parted
 library for disk partitioning and file system manipulation.
 .
 This package contains Python 3 extension itself.

Package: python-parted-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Breaks: python-parted (<< 3.11.1-5), python3-parted (<< 3.11.1-5)
Replaces: python-parted (<< 3.11.1-5), python3-parted (<< 3.11.1-5)
Depends: ${misc:Depends}
Description: Python 3 interface for libparted (common documentation)
 pyparted is a set of Python modules that provide Python programmers an
 interface to libparted (http://www.gnu.org/software/parted), the GNU parted
 library for disk partitioning and file system manipulation.
 .
 This package contains the common documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
export PKG_CONFIG_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig

export PYBUILD_NAME=parted

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python3-parted-dbg/usr/lib/python3*/dist-packages/parted/

override_dh_clean:
	dh_clean
	rm -fr debian/python3-parted-dbg

## pyparted 3.13.0

=== Makefile ===
#
# Makefile for pyparted
# Copyright The pyparted Project Authors
# SPDX-License-Identifier: GPL-2.0-or-later
#

PYTHON       ?= python3

DESTDIR      ?= /

PACKAGE       = $(shell $(PYTHON) setup.py --name)
VERSION       = $(shell $(PYTHON) setup.py --version)

TAG           = v$(VERSION)

COVERAGE      = coverage3

default: all

all:
	@$(PYTHON) setup.py build

test: all
	@env PYTHONPATH=$$(find $$(pwd) -name "*.so" | head -n 1 | xargs dirname):src/parted:src \
	$(PYTHON) -m unittest discover -v

coverage: all
	@echo "*** Running unittests with $(COVERAGE) for $(PYTHON) ***"
	@env PYTHONPATH=$$(find $$(pwd) -name "*.so" | head -n 1 | xargs dirname):src/parted:src \
	$(COVERAGE) run --branch -m unittest discover -v
	$(COVERAGE) report --include="build/lib.*/parted/*" --show-missing
	$(COVERAGE) report --include="build/lib.*/parted/*" > coverage-report.log

check: clean
	$(MAKE) ; \
	env PYTHONPATH=$$(find $$(pwd) -name "*.so" | head -n 1 | xargs dirname):src/parted:src \
	tests/pylint/runpylint.py

dist:
	@$(PYTHON) setup.py sdist

tag: dist
	@if [ -z "$(GPGKEY)" ]; then \
		echo "GPGKEY environment variable missing, please set this to the key ID" ; \
		echo "you want to use to tag the repository." ; \
		exit 1 ; \
	fi
	@git tag -u $(GPGKEY) -m "Tag as $(TAG)" -f $(TAG)
	@echo "Tagged as $(TAG) (GPG signed)"

release: tag
	( cd dist ; gzip -dc $(PACKAGE)-$(VERSION).tar.gz | tar -xvf - )
	( cd dist/$(PACKAGE)-$(VERSION) && $(PYTHON) setup.py build ) || exit 1
	@echo
	@echo "$(PACKAGE)-$(VERSION) can be pushed to the git repo:"
	@echo "    git push && git push --tags"
	@echo
	@echo "*** Remember to run 'make pypi' afterwards ***"
	@echo

pypi:
	@echo "************************************************************************"
	@echo "* Username and password are for your pypi.org login.                   *"
	@echo "* NOTE: You must be a listed maintainer for pyparted for this to work. *"
	@echo "* See ~/.pypirc                                                   *"
	@echo "************************************************************************"
	@echo
	twine upload \
		dist/$(PACKAGE)-$(VERSION).tar.gz \
		dist/$(PACKAGE)-$(VERSION).tar.gz.asc

rpmlog:
	@prevtag="$$(git tag -l | grep -v "^start$$" | tail -n 2 | head -n 1)" ; \
	git log --pretty="format:- %s (%ae)" $${prevtag}.. | \
	sed -e 's/@.*)/)/' | \
	sed -e 's/%/%%/g' | \
	grep -v "New version" | \
	fold -s -w 77 | \
	while read line ; do \
		if [ ! "$$(echo $$line | cut -c-2)" = "- " ]; then \
			echo "  $$line" ; \
		else \
			echo "$$line" ; \
		fi ; \
	done

bumpver:
	@OLDSUBVER=$$(echo $(VERSION) | rev | cut -d '.' -f 1 | rev) ; \
	NEWSUBVER=$$(($${OLDSUBVER} + 1)) ; \
	BASEVER="$$(echo $(VERSION) | sed -e "s|\.$${OLDSUBVER}$$||g")" ; \
	NEWVERSION="$${BASEVER}.$${NEWSUBVER}" ; \
	sed -i "s/pyparted_version = '$(VERSION)'/pyparted_version = '$${NEWVERSION}'/" setup.py ; \
	echo "New version is $${NEWVERSION}"

install: all
	@$(PYTHON) setup.py install --root $(DESTDIR) -c -O1

clean:
	-rm -r build

ci: check coverage

verrel:
	@echo $(PACKAGE)-$(VERSION)

=== debian/changelog ===
pyparted (3.13.0-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:44:59 +0000

pyparted (3.13.0-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:03:53 +0000

pyparted (3.13.0-1build1) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 09:56:56 +0100

pyparted (3.13.0-1) unstable; urgency=medium

  * QA upload.
  * remove extraneous dependency on python3-six
  * add Colin Watson's patch as found upsream

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.6.2.
  * debian/patches/: Refresh patches.
  * debian/patches/remove_feature_values_from_disktypestrcestcase.patch:
    Dropped, merged upstream.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 13 Mar 2024 23:55:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --buildsystem pybuild --with python3
+	dh $@ --buildsystem pybuild
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Test-Command: debian/tests/run_py3_test.sh
Depends: @
Restrictions: allow-stderr
